%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  sgolay
%global packver   1.0.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.3
Release:          1%{?dist}%{?buildtag}
Summary:          Efficient Savitzky-Golay Filtering

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-signal 
Requires:         R-CRAN-signal 

%description
Smoothing signals and computing their derivatives is a common requirement
in signal processing workflows. Savitzky-Golay filters are a established
method able to do both (Savitzky and Golay, 1964
<doi:10.1021/ac60214a047>). This package implements one dimensional
Savitzky-Golay filters that can be applied to vectors and matrices (either
row-wise or column-wise). Vectorization and memory allocations have been
profiled to reduce computational fingerprint. Short filter lengths are
implemented in the direct space, while longer filters are implemented in
frequency space, using a Fast Fourier Transform (FFT).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
